Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055971 - AFR : Improvement required in the error message reported when "heal info" is executed on the non-existing volume.
Summary: AFR : Improvement required in the error message reported when "heal info" is ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate
Version: 2.1
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Bug Updates Notification Mailing List
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 11:11 UTC by spandura
Modified: 2016-09-17 12:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-03 17:14:50 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description spandura 2014-01-21 11:11:30 UTC
Description of problem:
========================
"gluster volume heal <volume_name> info" on a non-existing volume reports "Volume heal failed" . Here "Volume heal" is not executed. "Volume heal info" is executed. Hence this message can either be "volume heal info failed" or it can be removed completely. 

Actual Result:
================
root@domU-12-31-39-0A-99-B2 [Jan-20-2014- 5:34:23] >gluster v heal exported info
Volume exported does not exist
Volume heal failed

Version-Release number of selected component (if applicable):
====================================================================
glusterfs 3.4.0.57rhs built on Jan 13 2014 06:59:05

How reproducible:
=================
Often

Steps to Reproduce:
======================
1.Execute "gluster volume heal <volume_name info" on a non-existing volume

Comment 2 Vivek Agarwal 2015-12-03 17:14:50 UTC
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.


Note You need to log in before you can comment on or make changes to this bug.